import 'package:json_rest_api_client/json_rest_api_client.dart';

void main() async {
  final dummyApiClientV1 =
      JsonRestApiClient(Uri.parse('http://dummy.restapiexample.com/api/v1'));

  print('Request data');
  final response1 = await dummyApiClientV1.request(
    RequestMethod.get,
    '/employee/1',
  );
  print(response1.jsonObject);

  print('Write data');
  final response2 = await dummyApiClientV1.request(
    RequestMethod.post,
    '/create',
    json: {
      'employee_name': 'Tiger Nixon',
      'employee_salary': 320800,
      'employee_age': 61,
    },
  );
  print(response2.jsonObject);

  return;
}
